Skip to content

Get Sync Job Status

GET
/api/integrations/sync/jobs/{job_id}
curl --request GET \
--url https://app.lionrapid.com/api/integrations/sync/jobs/example

Get status of a queued sync job.

Poll this endpoint to check if a sync job has completed.

Args: job_id: Job identifier returned from POST /sync

Returns: Job status and result (if completed)

Raises: not_found: Job ID not found (404)

Example: GET /sync/jobs/550e8400-e29b-41d4-a716-446655440000

→ Returns: {
    "job_id": "...",
    "status": "completed",
    "result": {"keys_added": 5, "keys_updated": 2}
  }
job_id
required
Job Id
string
surface
Any of:
string
x-api-key
Any of:
string
x-lr-surface
Any of:
string

Successful Response

Media typeapplication/json
SyncJobStatusResponse

Response model for job status checks.

object
job_id
required
Job Id
string
status
required
JobStatus

Status of a sync job.

string
Allowed values: pending processing completed failed retry_pending
created_at
required
Created At
string
started_at
Any of:
string
completed_at
Any of:
string
result
Any of:
object
error
Any of:
string
retry_count
Retry Count
integer
0
max_retries
Max Retries
integer
default: 3
next_retry_at
Any of:
string
retry_errors
Retry Errors
Array<string>
default:
is_dead_lettered
Is Dead Lettered
boolean
dead_letter_reason
Any of:
string
Example
{
"completed_at": "2025-01-15T10:30:03Z",
"created_at": "2025-01-15T10:30:00Z",
"is_dead_lettered": false,
"job_id": "550e8400-e29b-41d4-a716-446655440000",
"max_retries": 3,
"result": {
"keys_added": 5,
"keys_updated": 2,
"language": "eng",
"status": "synced"
},
"retry_count": 0,
"retry_errors": [],
"started_at": "2025-01-15T10:30:01Z",
"status": "completed"
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}